@import "css.css";

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box
}

:focus {
    outline: 0
}

html,
body,
.wrapper {
    height: 100%
}

img {
    border: none;
    display: block
}

ol,
ul {
    list-style: none
}

iframe {
    border: none !important;
    width: 0 !important;
    height: 0 !important;
    display: none
}

a {
    text-decoration: none;
    cursor: pointer !important
}

html {
    font-size: 62.5%;
    -webkit-text-size-adjust: 100%;
    position: relative
}

body {
    font-family: 'Open Sans', Arial, sans-serif;
    color: #333;
    line-height: 1.3;
    font-size: 1.8rem;
    background: #bc1888;
    background: -moz-linear-gradient(45deg, #f09433 0%, #e6683c 25%, #dc2743 50%, #cc2366 75%, #bc1888 100%);
    background: -webkit-linear-gradient(45deg, #f09433 0%, #e6683c 25%, #dc2743 50%, #cc2366 75%, #bc1888 100%);
    background: linear-gradient(45deg, #f09433 0%, #e6683c 25%, #dc2743 50%, #cc2366 75%, #bc1888 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#f09433', endColorstr='#bc1888', GradientType=1);
    min-width: 320px;
    font-weight: 300
}

.wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    position: relative;
    padding: 2rem 0
}

.wrapper:before {
    content: '';
    background-image: url("../img/1.jpg"), url("../img/2.jpg"), url("../img/3.jpg"), url("../img/4.jpg"), url("../img/5.jpg"), url("../img/6.jpg"), url("../img/7.jpg"), url("../img/8.jpg"), url("../img/9.jpg"), url("../img/10.jpg"), url("../img/11.jpg"), url("../img/12.jpg"), url("../img/13.jpg"), url("../img/14.jpg"), url("../img/15.jpg"), url("../img/16.jpg"), url("../img/17.jpg"), url("../img/18.jpg"), url("../img/19.jpg"), url("../img/20.jpg");
    display: none
}

.step-block {
    width: 724px;
    padding: 2rem;
    margin-left: 3%
}

.step-item {
    display: none;
    max-width: 468px;
    color: #fff;
}

.step-item.visible {
    display: block;
}

.step-item:nth-child(1) {
    text-align: center
}

.step-header {
    font-size: 4rem;
    font-family: 'Baloo', Arial, cursive;
    line-height: 1.1;
    text-align: center;
}

.step-content {
    margin: 1.5rem 0 3rem;
    color: #fff;
}

.step-content p {
    margin-bottom: 1rem;
    font-size: 2.2rem
}

.step-content .step-subtitle {
    font-size: 1.8rem
}

.step-info {
    font-size: 2rem;
    margin-top: 0.6rem
}

.checkbox-block {
    max-width: 500px;
    margin: 2rem auto 0;
    color: #fff;
}

.checkbox-item {
    display: block;
    position: relative;
    padding: 12px 12px 12px 5rem;
    margin: 2rem 2rem 2rem 0;
    text-align: left;
    line-height: 2.5rem;
    cursor: pointer;
    transition: all 0.3s linear;
    font-size: 2rem;
    border: 1px solid #fff;
    border-radius: 30px;
}

.checkbox-item:before {
    content: "";
    position: absolute;
    width: 2.4rem;
    height: 2.4rem;
    line-height: 2.5rem;
    border: .2rem solid #fff;
    border-radius: 50%;
    top: 25%;
    left: 2%;
    z-index: 1;
    color: #fff;
    font-family: Arial, sans-serif;
    font-weight: bold;
    font-size: 2rem;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .25s ease;
}

.checkbox-item.checked:before {
    background: #eedb55;
}

.buttons-block {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 3rem;
    text-align: center;
    flex-direction: column;
}

.step-btn {
    display: inline-block;
    width: 47%;
    margin: 5px 0;
    padding: 1.2rem 1rem;
    max-width: 300px;
    cursor: pointer;
    transition: all 0.3s linear;
    font-size: 3rem;
    color: #bc1888;
    /* text-transform: uppercase; */
    background: #fff;
    font-weight: bold;
    border-radius: 30px
}

.step-btn:hover {
    background: #f09433;
    color: #fff;
}

.step-btn.no-btn {
    background: #333;
}

.step-btn.no-btn:hover {
    background: #000;
    color: #fff;
}

.next-btn {
    width: 58%;
    margin: 0;
    max-width: 440px
}

.gallery-block {
    position: relative;
    height: 724px;
    width: 724px;
    margin-top: 4%;
    background: url("bg.png") no-repeat 0 0 / 100%
}

.gallery-item {
    width: 30%;
    height: 30%;
    position: absolute;
    cursor: pointer;
    border-radius: 50%;
    /* -webkit-clip-path: polygon(50% 0%, 95% 25%, 95% 75%, 50% 100%, 5% 75%, 5% 25%);
  clip-path: polygon(50% 0%, 95% 25%, 95% 75%, 50% 100%, 5% 75%, 5% 25%); */
    padding: 5px;
    /* background: #fff; */
    overflow: hidden;
    transition: all 0.25s linear
}

.gallery-item:before {
    content: '';
    position: absolute;
    opacity: 0.5;
    width: 140%;
    height: 6rem;
    background: white;
    top: 0;
    left: 0;
    z-index: 1;
    transform: rotate(45deg);
    transition: transform 0.5s
}

.gallery-item:hover:before {
    -webkit-transform: translate(-100px, 450%) rotate(45deg);
    transform: translate(-100px, 450%) rotate(45deg)
}

.gallery-item .gallery-photo {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    /* -webkit-clip-path: polygon(50% 0%, 95% 25%, 95% 75%, 50% 100%, 5% 75%, 5% 25%);
  clip-path: polygon(50% 0%, 95% 25%, 95% 75%, 50% 100%, 5% 75%, 5% 25%); */
    transition: all .35s linear
}

.gallery-item:nth-child(1) {
    top: 0;
    left: 16.5%;
    animation: scaleIn 7s 1s ease-in-out infinite
}

.gallery-item:nth-child(1) .gallery-photo {
    background: url("../img/1.jpg") no-repeat 0 0 / cover
}

[data-step="2"] .gallery-item:nth-child(1) .gallery-photo {
    background: url("../img/5.jpg") no-repeat 0 0 / cover
}

[data-step="3"] .gallery-item:nth-child(1) .gallery-photo {
    background: url("../img/9.jpg") no-repeat 0 0 / cover
}

[data-step="4"] .gallery-item:nth-child(1) .gallery-photo {
    background: url("../img/13.jpg") no-repeat 0 0 / cover
}

[data-step="5"] .gallery-item:nth-child(1) .gallery-photo {
    background: url("../img/17.jpg") no-repeat 0 0 / cover
}

[data-step="7"] .gallery-item:nth-child(1) .gallery-photo {
    background: url("../img/5.jpg") no-repeat 0 0 / cover
}

[data-step="8"] .gallery-item:nth-child(1) .gallery-photo {
    background: url("../img/9.jpg") no-repeat 0 0 / cover
}

[data-step="9"] .gallery-item:nth-child(1) .gallery-photo {
    background: url("../img/13.jpg") no-repeat 0 0 / cover
}

[data-step="10"] .gallery-item:nth-child(1) .gallery-photo {
    background: url("../img/17.jpg") no-repeat 0 0 / cover
}

.gallery-item:nth-child(2) {
    top: 0;
    left: 49.5%
}

.gallery-item:nth-child(2) .gallery-photo {
    background: url("../img/3.svg");
    background-repeat: no-repeat;
    animation: scaleIn 6s 2s ease-in-out infinite
}

.gallery-item:nth-child(3) {
    top: 28%;
    left: 0
}

.gallery-item:nth-child(3) .gallery-photo {
    background: url("../img/4.svg");
    background-repeat: no-repeat;
    animation: scaleIn 5s 3s ease-in-out infinite backwards
}

.gallery-item:nth-child(4) {
    top: 28%;
    left: 33%;
    animation: scaleIn 4s 4s ease-in-out infinite backwards
}

.gallery-item:nth-child(4) .gallery-photo {
    background: url("../img/2.jpg") no-repeat 0 0 / cover
}

[data-step="2"] .gallery-item:nth-child(4) .gallery-photo {
    background: url("../img/6.jpg") no-repeat 0 0 / cover
}

[data-step="3"] .gallery-item:nth-child(4) .gallery-photo {
    background: url("../img/10.jpg") no-repeat 0 0 / cover
}

[data-step="4"] .gallery-item:nth-child(4) .gallery-photo {
    background: url("../img/14.jpg") no-repeat 0 0 / cover
}

[data-step="5"] .gallery-item:nth-child(4) .gallery-photo {
    background: url("../img/18.jpg") no-repeat 0 0 / cover
}

[data-step="7"] .gallery-item:nth-child(4) .gallery-photo {
    background: url("../img/6.jpg") no-repeat 0 0 / cover
}

[data-step="8"] .gallery-item:nth-child(4) .gallery-photo {
    background: url("../img/10.jpg") no-repeat 0 0 / cover
}

[data-step="9"] .gallery-item:nth-child(4) .gallery-photo {
    background: url("../img/14.jpg") no-repeat 0 0 / cover
}

[data-step="10"] .gallery-item:nth-child(4) .gallery-photo {
    background: url("../img/18.jpg") no-repeat 0 0 / cover
}

.gallery-item:nth-child(5) {
    top: 28%;
    left: 66%;
    animation: scaleIn 3s 3s ease-in-out infinite backwards
}

.gallery-item:nth-child(5) .gallery-photo {
    background: url("../img/3.jpg") no-repeat 0 0 / cover
}

[data-step="2"] .gallery-item:nth-child(5) .gallery-photo {
    background: url("../img/7.jpg") no-repeat 0 0 / cover
}

[data-step="3"] .gallery-item:nth-child(5) .gallery-photo {
    background: url("../img/11.jpg") no-repeat 0 0 / cover
}

[data-step="4"] .gallery-item:nth-child(5) .gallery-photo {
    background: url("../img/15.jpg") no-repeat 0 0 / cover
}

[data-step="5"] .gallery-item:nth-child(5) .gallery-photo {
    background: url("../img/19.jpg") no-repeat 0 0 / cover
}

[data-step="7"] .gallery-item:nth-child(5) .gallery-photo {
    background: url("../img/7.jpg") no-repeat 0 0 / cover
}

[data-step="8"] .gallery-item:nth-child(5) .gallery-photo {
    background: url("../img/11.jpg") no-repeat 0 0 / cover
}

[data-step="9"] .gallery-item:nth-child(5) .gallery-photo {
    background: url("../img/15.jpg") no-repeat 0 0 / cover
}

[data-step="10"] .gallery-item:nth-child(5) .gallery-photo {
    background: url("../img/19.jpg") no-repeat 0 0 / cover
}

.gallery-item:nth-child(6) {
    top: 56%;
    left: 16.5%;
    animation: scaleIn 4s 2s ease-in-out infinite backwards
}

.gallery-item:nth-child(6) .gallery-photo {
    background: url("../img/4.jpg") no-repeat 0 0 / cover;
    animation-delay: 11s
}

[data-step="2"] .gallery-item:nth-child(6) .gallery-photo {
    background: url("../img/8.jpg") no-repeat 0 0 / cover
}

[data-step="3"] .gallery-item:nth-child(6) .gallery-photo {
    background: url("../img/12.jpg") no-repeat 0 0 / cover
}

[data-step="4"] .gallery-item:nth-child(6) .gallery-photo {
    background: url("../img/16.jpg") no-repeat 0 0 / cover
}

[data-step="5"] .gallery-item:nth-child(6) .gallery-photo {
    background: url("../img/20.jpg") no-repeat 0 0 / cover
}

[data-step="7"] .gallery-item:nth-child(6) .gallery-photo {
    background: url("../img/8.jpg") no-repeat 0 0 / cover
}

[data-step="8"] .gallery-item:nth-child(6) .gallery-photo {
    background: url("../img/12.jpg") no-repeat 0 0 / cover
}

[data-step="9"] .gallery-item:nth-child(6) .gallery-photo {
    background: url("../img/16.jpg") no-repeat 0 0 / cover
}

[data-step="10"] .gallery-item:nth-child(6) .gallery-photo {
    background: url("../img/20.jpg") no-repeat 0 0 / cover
}

.gallery-item:nth-child(7) {
    top: 56%;
    left: 49.5%;
    animation: scaleIn 5s 1s ease-in-out infinite backwards
}

.gallery-item:nth-child(7) .gallery-photo {
    background: url("../img/3.svg");
    background-repeat: no-repeat;
    animation-delay: 13s
}

.gallery-item:nth-child(8) {
    display: none;
    animation: scaleIn 6s 5s ease-in-out infinite backwards
}

.gallery-item:nth-child(8) .gallery-photo {
    background: #ff803a
}

@keyframes scaleIn {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }

    50% {
        -webkit-transform: scale(1.2);
        transform: scale(1.2);
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@keyframes scaleInMob {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }

    50% {
        -webkit-transform: scale(1.4);
        transform: scale(1.4);
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@keyframes hvr-wobble-horizontal {
    16.65% {
        -webkit-transform: translateX(8px);
        transform: translateX(8px);
    }

    33.3% {
        -webkit-transform: translateX(-6px);
        transform: translateX(-6px);
    }

    49.95% {
        -webkit-transform: translateX(4px);
        transform: translateX(4px);
    }

    66.6% {
        -webkit-transform: translateX(-2px);
        transform: translateX(-2px);
    }

    83.25% {
        -webkit-transform: translateX(1px);
        transform: translateX(1px);
    }

    100% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
    }
}

.hvr-wobble-horizontal {
    -webkit-animation: hvr-wobble-horizontal 1s ease-in-out;
    animation: hvr-wobble-horizontal 1s ease-in-out
}

@media (max-width:1300px) {
    html {
        font-size: 55%
    }

    .gallery-block {
        width: 450px;
        height: 450px
    }

    .step-block {
        width: 450px;
        padding: 0 2rem
    }
}

@media (max-width:1366px) and (max-height: 760px) {
    html {
        font-size: 55%
    }

    .gallery-block {
        width: 450px;
        height: 450px
    }

    .step-block {
        width: 450px;
        padding: 0 2rem
    }
}

@media (max-width:960px) {
    html {
        font-size: 50%
    }

    .gallery-block {
        width: 350px;
        height: 350px
    }

    .step-block {
        width: 350px;
        margin-left: 0
    }
}

@media (max-width:750px) {
    html {
        font-size: 45%
    }

    .gallery-block {
        position: absolute;
        width: 100%;
        height: 100%;
        background: none
    }

    body {
        background: #bc1888 url("bg.png") no-repeat center top / auto 100%;
        min-height: 460px;
        font-weight: 600
    }

    .step-block {
        width: 100%;
        position: relative;
        z-index: 1
    }

    .step-item {
        text-align: center;
        max-width: inherit
    }

    .gallery-item {
        width: 16rem;
        height: 16rem
    }

    .buttons-block {
        flex-direction: column
    }

    .step-btn {
        margin: 1rem auto;
        max-width: none;
        width: 68%
    }

    .wrapper .gallery-item {
        animation-name: scaleInMob
    }

    .gallery-item:nth-child(1) {
        top: 0;
        left: 3rem
    }

    .gallery-item:nth-child(2) {
        top: -12rem;
        right: 4rem;
        left: auto
    }

    .checkbox-block {
        max-width: 220px
    }

    .gallery-item:nth-child(3) {
        top: 45%;
        right: -10rem;
        left: auto
    }

    .gallery-item:nth-child(8) {
        top: 40%;
        left: -9rem;
        display: block
    }

    .gallery-item:nth-child(4) {
        top: 1rem;
        right: -4rem;
        left: auto
    }

    .gallery-item:nth-child(5) {
        top: auto;
        bottom: 5rem;
        left: -4rem
    }

    .gallery-item:nth-child(6) {
        top: auto;
        bottom: 3rem;
        left: auto;
        right: 1rem
    }

    .gallery-item:nth-child(7) {
        top: auto;
        bottom: -8rem;
        left: 4rem
    }
}

@media screen and (-ms-high-contrast: active),
(-ms-high-contrast: none) {
    .gallery-item:before {
        display: none
    }
}

@supports (-ms-ime-align:auto) {
    .wrapper .gallery-item:before {
        display: none
    }

}

.topclose {
    background: #fff;
    border-radius: 5px;
    border: 3px solid red;
    color: red;
    font-size: 3rem !important;
    font-weight: bolder;
    height: 3.5rem !important;
    line-height: 3rem;
    margin: 0px;
    right: 0 !important;
    text-align: center;
    top: 0 !important;
    width: 3rem !important;
    z-index: 999 !important;
    position: fixed !important;
}